lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "cucudocs/version"

Gem::Specification.new do |spec|
  spec.name          = 'cucudocs'
  spec.version       = Cucudocs::VERSION
  spec.authors       = ['Maksim Rukomoynikov']
  spec.email         = ['m.rukomoynikov@etpgpb.ru']
  spec.license       = 'MIT'
  spec.summary       = 'Utility for creation static sites based on cucumber report'
  spec.description   = 'Utility for creation static sites based on cucumber report'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.bindir        = 'bin'
  spec.executables = ['cucudocs']

  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end

  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.16'
  spec.add_development_dependency 'byebug'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_dependency 'slim'
end
